Interface DedicatedBandwidthConfiguration

All Known Implementing Classes:
DedicatedBandwidthConfigurationJson

public interface DedicatedBandwidthConfiguration
An allowed dedicated-bandwidth configuration for an Equinix Internet Access (EIA) v1 service, as returned by GET /internetAccess/v1/dedicatedBandwidthConfigurations.

This is a read-only response view.

  • Method Details

    • getUseCase

      UseCase getUseCase()
      Returns:
      the intended use case (MAIN, BACKUP or MANAGEMENT_ACCESS)
    • getBandwidth

      Integer getBandwidth()
      Returns:
      the bandwidth, in Mbps
    • getMinBandwidthCommit

      Integer getMinBandwidthCommit()
      Returns:
      the minimum committed bandwidth, in Mbps
    • getBilling

      BillingType getBilling()
      Returns:
      the billing model (FIXED, USAGE_BASED or BURST_BASED)
    • getConnection

      Returns:
      the allowed connection configuration